Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450959 - hts doesn't depend on gnome-applets
Summary: hts doesn't depend on gnome-applets
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 21:51 UTC by David Aquilina
Modified: 2014-06-24 00:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-12 18:11:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Aquilina 2008-06-11 21:51:33 UTC
Description of problem: The HTS package does not depend on gnome-applets. The
gnome-applets package contains a utility which the cpuscaling test depends on. 

Version-Release number of selected component (if applicable):

# rpm -q hts
hts-5.2-13.el5

How reproducible:

always

Steps to Reproduce:
1. reserve a system via RHTS
2. attempt to run the cpuscaling test with the default package set and hts and
its dependencies install
3. observe failure:

Actual results:

Running ./cpuscaling.py:
sh: cpufreq-selector: command not found
sh: cpufreq-selector: command not found
Note: decimal module from python 2.5 copied by HTS

System Capabilites:
-------------------------------------------------
System has 8 cpus

Supported CPU Frequencies: 
    1865 MHz
    1599 MHz


Supported Governors: 
    ondemand
    userspace
    performance

Current governors:
    cpu0: userspace
    cpu1: userspace
    cpu2: userspace
    cpu3: userspace
    cpu4: userspace
    cpu5: userspace
    cpu6: userspace
    cpu7: userspace

On Userspace Governor Test:
-------------------------------------------------
Setting governor to userspace
Note: command failed: cpufreq-selector -g userspace
Setting cpu frequency to 1599 MHz
Note: command failed: cpufreq-selector -f 1599000
Running CPU load test...

Expected results:

No failures

Comment 1 Greg Nichols 2008-06-11 22:27:22 UTC
What RHEL version was this test run on?   Could you attach the info test log?

Thanks

Comment 2 David Aquilina 2008-06-11 22:31:31 UTC
It was on RHEL 5.2. I killed HTS before it ran the info test, unfortunately. 

Comment 3 Greg Nichols 2008-06-12 00:56:35 UTC
The test is implemented to use other means if cpufreq-selector fails.  From the
attached logging, it isn't clear whether the test passes or fails.    Is the
cpuscaling test reported by HTS as a failure?   By chance, do you have the
complete log for the test?

I'm not sure that adding the rpm dependancy is the right solution, as it would
mean requiring it on all systems whether they support cpuscaling or not.


Note You need to log in before you can comment on or make changes to this bug.